Subject: Re: bug#23838: Guix on Debian 8.3 'guix system vm ...' -> "ERROR: qemu failed "qemu-system-x86_64"

From: myglc2 <[email-masked]>
Date: Fri, 24 Jun 2016 15:34:32 -0400

[email-masked] (Ludovic Courtès) writes:
>
> Usually, /dev/kvm is has “kvm” as its group and is group-writable.  So
> all you need is to add the guixbuild* users to the “kvm” group.

Thank you, it does.

> The manual mentions this pitfall (info "(guix) Invoking guix system")
> but I guess it’s easily missed.

Thank you, so I did this ...

adduser guixbuilder1 kvm
adduser guixbuilder2 kvm
adduser guixbuilder3 kvm
adduser guixbuilder4 kvm
adduser guixbuilder5 kvm
adduser guixbuilder6 kvm
adduser guixbuilder7 kvm
adduser guixbuilder8 kvm

... but maybe the manual should say this ...

# 2.4.1 Build Environment Setup
# -----------------------------
# [...]   
# On a GNU/Linux system, a build user pool may be created like this
# (using Bash syntax and the ‘shadow’ commands):
#
#      # groupadd --system guixbuild
#      # for i in `seq -w 1 10`;
#        do
#          useradd -g guixbuild -G guixbuild,kvm       \
#                  -d /var/empty -s `which nologin`    \
#                  -c "Guix build user $i" --system    \
#                  guixbuilder$i;
#        done

... anyway, now I get ...

g1@e3b:~/dev/vms$ guix system vm ../configs/c01system.scm --expose=$HOME --share=$HOME/tmp=/exchange --verbosity=1
substitute: warning: failed to install locale: Invalid argument
/gnu/store/7rv558c43bwnmmkc85izv1b69ards5qy-run-vm.sh
g1@e3b:~/dev/vms$ /gnu/store/7rv558c43bwnmmkc85izv1b69ards5qy-run-vm.sh
qemu-system-x86_64: -virtfs local,path=/home/g1/tmp,security_model=none,mount_tag=TAG_home_g1_tmp: 9pfs Failed to initialize fs-driver with id:TAG_home_g1_tmp and export path:/home/g1/tmp
g1@e3b:~/dev/vms$

TIA, George